Skip to navigation

Publish the current draft to an environment

Authentication

X-API-KEYstring

PolyAI API key. Send it in the X-API-KEY header.

Path parameters

agentIdstringRequired

Request

This endpoint expects an object.
deploymentMessagestringOptionalDefaults to
Message describing this publish
environmentenumOptional

Environment to publish to (defaults to sandbox).

Allowed values:

Response

Successful response
deploymentobject
A deployment of an agent version to a specific environment, plus who created it and when.
testRunIdslist of stringsOptional
IDs of test runs triggered by this deployment action

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error